/*
 *  Copyright (c) 2008 Cyrille Berger <cberger@cberger.net>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
*/

#ifndef _KO_CTL_BUFFER_H_
#define _KO_CTL_BUFFER_H_

#include <GTLCore/Buffer.h>

class KoCtlBuffer : public GTLCore::Buffer
{
public:
    KoCtlBuffer(char* _buffer, int _size);
    virtual ~KoCtlBuffer();
    virtual char * rawData();
    virtual const char * rawData() const;
    virtual int size() const;
private:
    char * m_buffer;
    int m_size;
};

#endif
